Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6747 - LILO 0.21 reports kernel too big where 0.20 does not.
Summary: LILO 0.21 reports kernel too big where 0.20 does not.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-05 10:14 UTC by John Eckerdal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 06:37:47 UTC


Attachments (Terms of Use)

Description John Eckerdal 1999-11-05 10:14:12 UTC
LILO as shipped with RH 6.1 (and possibly 6.0) reports that
a newly built kernel is too big. This does however not
happen if you use the version of lilo that came with RH 5.2.

I sort of found this out while building a monolithic kernel
on an updated RH6.1 box with LILO 0.21. The kernel was
about 480 kB. After a bit of thinking I downgraded to LILO
0.20 and then it worked again.

Comment 1 Bill Nottingham 1999-11-05 15:49:59 UTC
Use 'make bzImage' instead of 'make zImage'. That should
solve the problem.

Comment 2 John Eckerdal 1999-11-05 16:16:59 UTC
Yes, make bzImage might work (although if I recall the events
correctly it did not allways work). The thing that bothers me is that
LILO 0.20 works where 0.21 does not.

Comment 3 Cristian Gafton 2000-01-04 22:25:59 UTC
Assigned to dledford

Comment 4 Bill Nottingham 2000-02-05 06:37:59 UTC
This is because lilo-0.21 loads the kernel slightly differently, because
it works around some problems with some newer/strange BIOSes ; hence
it has a little less memory for zImage use.


Note You need to log in before you can comment on or make changes to this bug.